BEGIN 9xGBoy

IF~!Global("ISHGenie","GLOBAL",2)~THEN BEGIN GBoy000
SAY @0
IF~~THEN REPLY @1 GOTO GBoy001
IF~~THEN REPLY @2 GOTO GBoy002
END

IF~~THEN BEGIN GBoy001
SAY @3
IF~~THEN DO ~SetGlobal("ISHGenie","GLOBAL",2) Kill(Myself)~ EXIT
END

IF~~THEN BEGIN GBoy002
SAY @4
IF~~THEN DO ~SetGlobal("ISHGenie","GLOBAL",2) DestroySelf()~ EXIT
END

